<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddPph42AndPph21AmountToStocktransactionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('stocktransactions', function (Blueprint $table) {
            $table->decimal('pph4_2_amount', 15, 2)
                ->nullable()
                ->after('pph22_amount');

            $table->decimal('pph21_amount', 15, 2)
                ->nullable()
                ->after('pph4_2_amount');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('stocktransactions', function (Blueprint $table) {
            $table->dropColumn([
                'pph4_2_amount',
                'pph21_amount',
            ]);
        });
    }
}
